fop 2.3

## org.apache.fop.render.rtf
Class RTFPlaceHolderHelper

    java.lang.Object
      org.apache.fop.render.rtf.RTFPlaceHolderHelper

    public class RTFPlaceHolderHelper

extends java.lang.Object

This class creates objects which are missing from the XSL:FO but are required by the RTF format.

Constructor Summary
`RTFPlaceHolderHelper(BuilderContext builderContext)` Creates a new instance for the RTF place holder which attempts to resolve mismatches in structure between XSL:FO and RTF.

Method Summary
`void` `createRTFPlaceholder(java.lang.Class containerClass)` A method to create an object which is missing and required from the RTF structure.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RTFPlaceHolderHelper

    public RTFPlaceHolderHelper(BuilderContext builderContext)

  Creates a new instance for the RTF place holder which attempts to resolve mismatches in structure between XSL:FO and RTF.

  Parameters:
    `builderContext` - The builder context

Method Detail

### createRTFPlaceholder

    public void createRTFPlaceholder(java.lang.Class containerClass)
                              throws RtfException

  A method to create an object which is missing and required from the RTF structure.

  Parameters:
    `containerClass` - The class which is missing
  Throws:
    `RtfException`

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.